package com.bc_chat.im.entity;

import android.os.Parcel;
import android.os.Parcelable;

import io.rong.imlib.model.UserInfo;

/**
 * author：Created by zhaohaoting on 2019/2/25
 * email：526309416@qq.com
 * desc：
 */
public class GroupMember extends UserInfo {
    private String displayName;


    protected GroupMember(Parcel in) {
        super(in);
        displayName = in.readString();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(displayName);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Parcelable.Creator<GroupMember> CREATOR = new Parcelable.Creator<GroupMember>() {
        @Override
        public GroupMember createFromParcel(Parcel in) {
            return new GroupMember(in);
        }

        @Override
        public GroupMember[] newArray(int size) {
            return new GroupMember[size];
        }
    };

    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }
}
